cURL
curl -i -X DELETE "https://api.box.com/2.0/hub_collaborations/1234" \
-H "box-version: 2025.0" \
-H "authorization: Bearer <ACCESS_TOKEN>"client.hub_collaborations.delete_hub_collaboration_by_id_v2025_r0(
created_collaboration.id
)await client.hubCollaborations.deleteHubCollaborationByIdV2025R0(
createdCollaboration.id,
);try await client.hubCollaborations.deleteHubCollaborationByIdV2025R0(hubCollaborationId: createdCollaboration.id)client.getHubCollaborations().deleteHubCollaborationByIdV2025R0(createdCollaboration.getId())await client.HubCollaborations.DeleteHubCollaborationByIdV2025R0Async(hubCollaborationId: createdCollaboration.Id);{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}Box Hubコラボレーション
Box Hubコラボレーションを削除
1つのBox Hubコラボレーションを削除します。
DELETE
/
hub_collaborations
/
{hub_collaboration_id}
cURL
curl -i -X DELETE "https://api.box.com/2.0/hub_collaborations/1234" \
-H "box-version: 2025.0" \
-H "authorization: Bearer <ACCESS_TOKEN>"client.hub_collaborations.delete_hub_collaboration_by_id_v2025_r0(
created_collaboration.id
)await client.hubCollaborations.deleteHubCollaborationByIdV2025R0(
createdCollaboration.id,
);try await client.hubCollaborations.deleteHubCollaborationByIdV2025R0(hubCollaborationId: createdCollaboration.id)client.getHubCollaborations().deleteHubCollaborationByIdV2025R0(createdCollaboration.getId())await client.HubCollaborations.DeleteHubCollaborationByIdV2025R0Async(hubCollaborationId: createdCollaboration.Id);{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}「Box SDKのバージョニング戦略について詳しく学ぶ。」
最終更新日 2026年1月23日
このページは役に立ちましたか?
⌘I
